cowboy_req:headers(3)

NAME

cowboy_req:headers - HTTP headers

DESCRIPTION
    headers(Req :: cowboy_req:req()) -> cowboy:http_headers()

Return all request headers.

Request headers can also be obtained using pattern matching:

    #{headers := Headers} = Req.

ARGUMENTS

Req
    The Req object.

RETURN VALUE

Headers are returned as a map with keys being lowercase binary strings, and values as binary strings.

CHANGELOG
    • 2.0: Only the headers are returned, they are no longer wrapped in a tuple.
    • 1.0: Function introduced.

EXAMPLES

Get all headers
    Headers = cowboy_req:headers(Req).

SEE ALSO

cowboy_req(3), cowboy_req:header(3), cowboy_req:parse_header(3)